<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'chemical',

    /*
     * Package.
     */
    'package'   => 'subscriber',

    /*
     * Modules.
     */
    'modules'   => ['subscriber'],

    
    'subscriber'       => [
        'model' => [
            'model'                 => \Chemical\Subscriber\Models\Subscriber::class,
            'table'                 => 'subscribers',
            'presenter'             => \Chemical\Subscriber\Repositories\Presenter\SubscriberPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'email',  'password',  'api_token',  'remember_token',  'sex',  'designation',  'mobile',  'phone',  'address',  'region_id',  'country_id',  'state_id',  'location_id',  'sublocation_id',  'zip',  'email_verified_at',  'photo',  'web',  'status',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'subscriber/subscriber',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Chemical',
            'package'   => 'Subscriber',
            'module'    => 'Subscriber',
        ],

    ],
];
