<?php

namespace Chemical\Subscriber\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SubscriberTransformer extends TransformerAbstract
{
    public function transform(\Chemical\Subscriber\Models\Subscriber $subscriber)
    {
        return [
            'id'                => $subscriber->getRouteKey(),
            'key'               => [
                'public'    => $subscriber->getPublicKey(),
                'route'     => $subscriber->getRouteKey(),
            ], 
            'id'                => $subscriber->id,
            'name'              => $subscriber->name,
            'email'             => $subscriber->email,
            'password'          => $subscriber->password,
            'api_token'         => $subscriber->api_token,
            'remember_token'    => $subscriber->remember_token,
            'sex'               => $subscriber->sex,
            'designation'       => $subscriber->designation,
            'mobile'            => $subscriber->mobile,
            'phone'             => $subscriber->phone,
            'address'           => $subscriber->address,
            'region_id'         => $subscriber->region_id,
            'country_id'        => $subscriber->country_id,
            'state_id'          => $subscriber->state_id,
            'location_id'       => $subscriber->location_id,
            'sublocation_id'    => $subscriber->sublocation_id,
            'zip'               => $subscriber->zip,
            'email_verified_at' => $subscriber->email_verified_at,
            'photo'             => $subscriber->photo,
            'web'               => $subscriber->web,
            'status'            => $subscriber->status,
            'created_at'        => $subscriber->created_at,
            'updated_at'        => $subscriber->updated_at,
            'deleted_at'        => $subscriber->deleted_at,
            'url'               => [
                'public'    => trans_url('subscriber/'.$subscriber->getPublicKey()),
                'user'      => guard_url('subscriber/subscriber/'.$subscriber->getRouteKey()),
            ], 
            'status'            => trans('app.'.$subscriber->status),
            'created_at'        => format_date($subscriber->created_at),
            'updated_at'        => format_date($subscriber->updated_at),
        ];
    }
}