<?php

namespace Chemical\Subscriber;

use User;

class Subscriber
{
    /**
     * $subscriber object.
     */
    protected $subscriber;

    /**
     * Constructor.
     */
    public function __construct(\Chemical\Subscriber\Interfaces\SubscriberRepositoryInterface $subscriber)
    {
        $this->subscriber = $subscriber;
    }

    /**
     * Returns count of subscriber.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.subscriber.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->subscriber->pushCriteria(new \Litepie\Chemical\Repositories\Criteria\SubscriberUserCriteria());
        }

        $subscriber = $this->subscriber->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('subscriber::' . $view, compact('subscriber'))->render();
    }
}
